maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Barrie Treloar <baerr...@gmail.com>
Subject Re: release process: says to use maven-release-plugin:2.0-beta-9 but latest parent pom defines 2.0-beta-8
Date Sun, 07 Jun 2009 20:17:42 GMT
On Mon, Jun 8, 2009 at 12:10 AM, Brian Fox<brianf@infinity.nu> wrote:
> The version in the pom is the locked down version for our plugins to use.
> The latest release plugin is 2.0-beta-9:
> http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-release-plugin/
>
> You can override that version in your pom if you are releasing a plugin...we
> don't update the parent every time there's a plugin release, it's not
> needed.

I understand that, its the fact the documentation says
"Everything that you need to release has been configured in the POM
all Maven projects inherit from. The release plugin configuration
being used is the following:"
and then uses version -9 when the parent pom is -8.

Either the documentation needs changing or the parent pom needs changing.
Or it can get ignored as the parent pom is going to change very shortly.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message